import { createRouter, createWebHistory } from 'vue-router'
import HomeView from '../views/HomeView.vue'
import LawView from '../views/LawView.vue'
import CaseView from '../views/CaseView.vue'
import FormView from '../views/FormView.vue'

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/',
      name: 'home',
      component: HomeView,
    },
    // 法律规定页面 - 对应 /show.html?Id=xxx
    {
      path: '/show.html',
      name: 'law',
      component: LawView,
    },
    // 典型案例页面 - 对应 /showcase.html?Id=xxx
    {
      path: '/showcase.html',
      name: 'case',
      component: CaseView,
    },
    // 表单下载页面 - 对应 /table.html?Id=xxx
    {
      path: '/table.html',
      name: 'form',
      component: FormView,
    },
    // 法律规定列表页
    {
      path: '/hasfjlaw',
      name: 'lawList',
      component: () => import('../views/LawListView.vue'),
    },
    // 典型案例列表页
    {
      path: '/hasfjcase',
      name: 'caseList',
      component: () => import('../views/CaseListView.vue'),
    },
    // 表单下载列表页
    {
      path: '/hasfjform',
      name: 'formList',
      component: () => import('../views/FormListView.vue'),
    },
    // 二维码入口页面
    {
      path: '/qrcodes',
      name: 'qrcodeList',
      component: () => import('../views/QRCodesView.vue'),
    },
  ],
})

export default router
